
package de.ivu.elect.presentation.exchange.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.datei.entity.DateiImport;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

// Das allgemeine Menu der Import-Suche
@Named(DateiImportSearchActionMenu.COMPONENT_NAME)
public class DateiImportSearchActionMenu extends AbstractActionMenuModelBuilder<DateiImport> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dateiImportSearchActionMenu";

  @Inject
  private transient DateiImportDownloadAction dateiImportDownloadAction;

  @Inject
  private transient DateiImportFormatFestlegenAction dateiImportFormatFestlegenAction;

  @Inject
  private transient DateiImportImportBestaetigenAction dateiImportImportBestaetigenAction;

  @Inject
  private transient DateiImportDeleteAction dateiImportImportDeleteAction;

  @Inject
  private transient DateiImportEditCommentAction dateiImportImportEditCommentAction;

  @Inject
  private transient DateiImportReImportAction dateiImportReImportAction;

  @Inject
  private transient DateiImportVorschauAction dateiImportVorschauAction;

  @Inject
  private transient DateiImportBerichtAction dateiImportBerichtAction;

  @Override
  protected List<ActionEntry<DateiImport>> getActionEntriesSorted() {
    List<ActionEntry<DateiImport>> result = new ArrayList<>();

    result.add(dateiImportBerichtAction);
    result.add(dateiImportImportBestaetigenAction);
    result.add(dateiImportFormatFestlegenAction);
    result.add(dateiImportVorschauAction);
    result.add(dateiImportImportEditCommentAction);
    result.add(dateiImportReImportAction);
    result.add(dateiImportDownloadAction);
    result.add(dateiImportImportDeleteAction);

    return result;
  }

}
